Package org.eclipse.gef.cloudio.internal.ui.actions

# Class AbstractTagCloudAction

java.lang.Object
org.eclipse.gef.cloudio.internal.ui.actions.AbstractTagCloudAction

All Implemented Interfaces:
  `IActionDelegate`, `IWorkbenchWindowActionDelegate`

Direct Known Subclasses:
  `DeselectAllAction`, `ExportImageAction`, `LoadFileAction`, `LoadStopWordsAction`, `SelectAllAction`, `ZoomFitAction`, `ZoomInAction`, `ZoomOutAction`, `ZoomResetAction`

public abstract class AbstractTagCloudAction extends Object implements IWorkbenchWindowActionDelegate

## Constructor Summary

Constructors
Constructor
Description
`AbstractTagCloudAction()`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`Shell`
`getShell()`
`protected TagCloudViewer`
`getViewer()`
`void`
`init(IWorkbenchWindow window)`
`void`
`selectionChanged(IAction action, ISelection selection)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ui.IActionDelegate

`run`

## Constructor Details

### AbstractTagCloudAction

public AbstractTagCloudAction()

## Method Details

### selectionChanged

public void selectionChanged(IAction action, ISelection selection)

Specified by:
  `selectionChanged` in interface `IActionDelegate`

### dispose

public void dispose()

Specified by:
  `dispose` in interface `IWorkbenchWindowActionDelegate`

### init

public void init(IWorkbenchWindow window)

Specified by:
  `init` in interface `IWorkbenchWindowActionDelegate`

### getShell

public Shell getShell()

### getViewer

protected TagCloudViewer getViewer()